Google Web Toolkit
Search Google Code:

# Class MouseListenerCollection

public class MouseListenerCollection
extends ArrayList
A helper class for implementers of the SourcesMouseEvents interface. This subclass of ArrayList assumes that all objects added to it will be of type MouseListener.

## Methods

fireMouseDown(Widget, int, int) | Fires a mouse down event to all listeners.
fireMouseEnter(Widget) | Fires a mouse enter event to all listeners.
fireMouseEvent(Widget, Event) | A helper for widgets that source mouse events.
fireMouseLeave(Widget) | Fires a mouse leave event to all listeners.
fireMouseMove(Widget, int, int) | Fires a mouse move event to all listeners.
fireMouseUp(Widget, int, int) | Fires a mouse up event to all listeners.

## Method Detail

### fireMouseDown

public void fireMouseDown(Widget sender, int x, int y)
Fires a mouse down event to all listeners.

#### Parameters

sender
  the widget sending the event
x
  the x coordinate of the mouse
y
  the y coordinate of the mouse

### fireMouseEnter

public void fireMouseEnter(Widget sender)
Fires a mouse enter event to all listeners.

#### Parameters

sender
  the widget sending the event

### fireMouseEvent

public void fireMouseEvent(Widget sender, Event event)
A helper for widgets that source mouse events.

#### Parameters

sender
  the widget sending the event
event
  the Event received by the widget

### fireMouseLeave

public void fireMouseLeave(Widget sender)
Fires a mouse leave event to all listeners.

#### Parameters

sender
  the widget sending the event

### fireMouseMove

public void fireMouseMove(Widget sender, int x, int y)
Fires a mouse move event to all listeners.

#### Parameters

sender
  the widget sending the event
x
  the x coordinate of the mouse
y
  the y coordinate of the mouse

### fireMouseUp

public void fireMouseUp(Widget sender, int x, int y)
Fires a mouse up event to all listeners.

#### Parameters

sender
  the widget sending the event
x
  the x coordinate of the mouse
y
  the y coordinate of the mouse